#!/usr/bin/env node

/**
 * Generate docs.
 */

'use strict'

process.chdir(`${__dirname}/..`)

const apeTasking = require('ape-tasking')
const coz = require('coz')
const apemanDoc = require('apeman-doc')

apeTasking.runTasks('doc', [
  (callback) => {
    apemanDoc({
      out: 'doc/apdoc.md',
      asis: false,
      ctx: 'doc/mocks/mock-context.json'
    }).then(() => callback())
  },
  (callback) => {
    coz.render([
      '.*.bud'
    ], callback)
  }
], true)
